Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.cdi.push
Class PushCDIExtension

    java.lang.Object
      org.richfaces.cdi.push.PushCDIExtension

All Implemented Interfaces:
  javax.enterprise.inject.spi.Extension

    public class PushCDIExtension

extends Object
implements javax.enterprise.inject.spi.Extension

CDI Extension for observing CDI events and delegating events with their payload to Push message bus.

This extension was introduced as workaround for feature missing in CDI 1.0 (CDI-36).

Thus this extension listens on injection target scanning process for all `Push` annotations defined on injection points and then registers observer methods designed for one specific topic. As consequence is that this implementation can't be used for observing dynamically created topic names.

Author:
  Lukas Fryc

Constructor Summary
`PushCDIExtension()`

Method Summary
`void` | `processInjectionTarget(javax.enterprise.inject.spi.ProcessInjectionTarget<?> pit)` Scans all the injection points on found injection targets for `Push` annotations

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PushCDIExtension

    public PushCDIExtension()

Method Detail

### processInjectionTarget

    public void processInjectionTarget(@Observes
                                       javax.enterprise.inject.spi.ProcessInjectionTarget<?> pit)

  Scans all the injection points on found injection targets for `Push` annotations

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.